Index: doc/html/classRV.html
===================================================================
--- doc/html/classRV.html (revision 210)
+++ doc/html/classRV.html (revision 219)
@@ -11,4 +11,5 @@
       <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
       <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
+      <li><a href="modules.html"><span>Modules</span></a></li>
       <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
       <li><a href="files.html"><span>Files</span></a></li>
@@ -24,5 +25,8 @@
 </div>
 <div class="contents">
-<h1>RV Class Reference</h1><!-- doxytag: class="RV" -->Class representing variables, most often random variables.  
+<h1>RV Class Reference<br>
+<small>
+[<a class="el" href="group__core.html">Core BDM classes</a>]</small>
+</h1><!-- doxytag: class="RV" -->Class representing variables, most often random variables.  
 <a href="#_details">More...</a>
 <p>
@@ -184,7 +188,7 @@
 <dl class="return" compact><dt><b>Returns:</b></dt><dd>ivec of the same size as self. </dd></dl>
 
-<p>References <a class="el" href="libBM_8h-source.html#l00048">ids</a>, <a class="el" href="libBM_8h-source.html#l00046">len</a>, <a class="el" href="libBM_8h-source.html#l00075">length()</a>, and <a class="el" href="libBM_8h-source.html#l00052">times</a>.</p>
-
-<p>Referenced by <a class="el" href="libBM_8cpp-source.html#l00051">add()</a>, <a class="el" href="libBM_8cpp-source.html#l00158">dataind()</a>, and <a class="el" href="libBM_8cpp-source.html#l00189">subt()</a>.</p>
+<p>References <a class="el" href="libBM_8h-source.html#l00052">ids</a>, <a class="el" href="libBM_8h-source.html#l00050">len</a>, <a class="el" href="libBM_8h-source.html#l00079">length()</a>, and <a class="el" href="libBM_8h-source.html#l00056">times</a>.</p>
+
+<p>Referenced by <a class="el" href="libBM_8cpp-source.html#l00053">add()</a>, <a class="el" href="libBM_8cpp-source.html#l00160">dataind()</a>, and <a class="el" href="libBM_8cpp-source.html#l00191">subt()</a>.</p>
 
 </div>
@@ -211,7 +215,7 @@
 <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if all rv2 were added, false if rv2 is in conflict </dd></dl>
 
-<p>References <a class="el" href="libBM_8cpp-source.html#l00196">findself()</a>, <a class="el" href="libBM_8h-source.html#l00048">ids</a>, <a class="el" href="libBM_8h-source.html#l00046">len</a>, <a class="el" href="libBM_8h-source.html#l00054">names</a>, <a class="el" href="libBM_8h-source.html#l00050">sizes</a>, <a class="el" href="libBM_8h-source.html#l00052">times</a>, and <a class="el" href="libBM_8h-source.html#l00044">tsize</a>.</p>
-
-<p>Referenced by <a class="el" href="libBM_8cpp-source.html#l00210">concat()</a>, <a class="el" href="libBM_8cpp-source.html#l00218">compositepdf::getrv()</a>, <a class="el" href="merger_8h-source.html#l00050">merger::merger()</a>, <a class="el" href="libPF_8h-source.html#l00104">MPF&lt; BM_T &gt;::MPF()</a>, and <a class="el" href="libBM_8cpp-source.html#l00229">compositepdf::setrvc()</a>.</p>
+<p>References <a class="el" href="libBM_8cpp-source.html#l00212">concat()</a>, <a class="el" href="libBM_8cpp-source.html#l00198">findself()</a>, <a class="el" href="libBM_8h-source.html#l00052">ids</a>, <a class="el" href="libBM_8h-source.html#l00050">len</a>, <a class="el" href="libBM_8h-source.html#l00058">names</a>, <a class="el" href="libBM_8h-source.html#l00054">sizes</a>, <a class="el" href="libBM_8h-source.html#l00056">times</a>, and <a class="el" href="libBM_8h-source.html#l00048">tsize</a>.</p>
+
+<p>Referenced by <a class="el" href="libBM_8cpp-source.html#l00212">concat()</a>, <a class="el" href="libBM_8cpp-source.html#l00220">compositepdf::getrv()</a>, <a class="el" href="merger_8h-source.html#l00050">merger::merger()</a>, <a class="el" href="libPF_8h-source.html#l00104">MPF&lt; BM_T &gt;::MPF()</a>, and <a class="el" href="libBM_8cpp-source.html#l00231">compositepdf::setrvc()</a>.</p>
 
 </div>
@@ -235,7 +239,7 @@
 <p>
 when this rv is a part of bigger rv, this function returns indeces of self in the data vector of the bigger crv. Then, data can be copied via: data_of_this = cdata(ind); 
-<p>References <a class="el" href="libBM_8h-source.html#l00073">count()</a>, <a class="el" href="libBM_8h-source.html#l00048">ids</a>, <a class="el" href="libBM_8h-source.html#l00026">str::ids</a>, <a class="el" href="libBM_8h-source.html#l00046">len</a>, <a class="el" href="libBM_8h-source.html#l00052">times</a>, <a class="el" href="libBM_8h-source.html#l00028">str::times</a>, <a class="el" href="libBM_8cpp-source.html#l00129">tostr()</a>, and <a class="el" href="libBM_8h-source.html#l00044">tsize</a>.</p>
-
-<p>Referenced by <a class="el" href="libEF_8h-source.html#l00674">enorm&lt; sq_T &gt;::condition()</a>, <a class="el" href="libBM_8h-source.html#l00287">datalink_m2e::datalink_m2e()</a>, <a class="el" href="libBM_8h-source.html#l00315">datalink_m2m::datalink_m2m()</a>, and <a class="el" href="libEF_8h-source.html#l00664">enorm&lt; sq_T &gt;::marginal()</a>.</p>
+<p>References <a class="el" href="libBM_8cpp-source.html#l00212">concat()</a>, <a class="el" href="libBM_8h-source.html#l00077">count()</a>, <a class="el" href="libBM_8h-source.html#l00052">ids</a>, <a class="el" href="libBM_8h-source.html#l00030">str::ids</a>, <a class="el" href="libBM_8h-source.html#l00050">len</a>, <a class="el" href="libBM_8h-source.html#l00056">times</a>, <a class="el" href="libBM_8h-source.html#l00032">str::times</a>, <a class="el" href="libBM_8cpp-source.html#l00131">tostr()</a>, and <a class="el" href="libBM_8h-source.html#l00048">tsize</a>.</p>
+
+<p>Referenced by <a class="el" href="libEF_8h-source.html#l00679">enorm&lt; sq_T &gt;::condition()</a>, <a class="el" href="libBM_8h-source.html#l00295">datalink_m2e::datalink_m2e()</a>, <a class="el" href="libBM_8h-source.html#l00323">datalink_m2m::datalink_m2m()</a>, and <a class="el" href="libEF_8h-source.html#l00669">enorm&lt; sq_T &gt;::marginal()</a>.</p>
 
 </div>
@@ -274,5 +278,5 @@
 <p>
 generate mutual indeces when copying data betwenn self and crv. Data are copied via: data_of_this(selfi) = data_of_rv2(rv2i) 
-<p>References <a class="el" href="libBM_8cpp-source.html#l00196">findself()</a>, <a class="el" href="libBM_8h-source.html#l00048">ids</a>, <a class="el" href="libBM_8h-source.html#l00026">str::ids</a>, <a class="el" href="libBM_8h-source.html#l00046">len</a>, <a class="el" href="libBM_8h-source.html#l00075">length()</a>, <a class="el" href="libBM_8h-source.html#l00052">times</a>, <a class="el" href="libBM_8h-source.html#l00028">str::times</a>, and <a class="el" href="libBM_8cpp-source.html#l00129">tostr()</a>.</p>
+<p>References <a class="el" href="libBM_8cpp-source.html#l00212">concat()</a>, <a class="el" href="libBM_8cpp-source.html#l00198">findself()</a>, <a class="el" href="libBM_8h-source.html#l00052">ids</a>, <a class="el" href="libBM_8h-source.html#l00030">str::ids</a>, <a class="el" href="libBM_8h-source.html#l00050">len</a>, <a class="el" href="libBM_8h-source.html#l00079">length()</a>, <a class="el" href="libBM_8h-source.html#l00056">times</a>, <a class="el" href="libBM_8h-source.html#l00032">str::times</a>, and <a class="el" href="libBM_8cpp-source.html#l00131">tostr()</a>.</p>
 
 </div>
@@ -281,5 +285,5 @@
 <li>work/git/mixpp/bdm/stat/<a class="el" href="libBM_8h-source.html">libBM.h</a><li>work/git/mixpp/bdm/stat/libBM.cpp</ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Wed Nov 12 19:18:56 2008 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Thu Dec 4 14:42:27 2008 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>