Index: doc/latex/classEKFCh__inherit__graph.eps
===================================================================
--- doc/latex/classEKFCh__inherit__graph.eps (revision 99)
+++ doc/latex/classEKFCh__inherit__graph.eps (revision 224)
@@ -1,5 +1,5 @@
-%!PS-Adobe-2.0
-%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
-%%For: (smidl) Vasek Smidl,,,
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: Graphviz version 2.20.2 (Sun Oct 12 22:28:10 UTC 2008)
+%%For: (smidl) Vaclav Smidl,,,
 %%Title: G
 %%Pages: (atend)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 191 362
+%%PageBoundingBox: 36 36 217 378
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 155 326 boxprim clip newpath
+36 36 181 342 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 23 58 moveto
-23 77 lineto
-71 77 lineto
-71 58 lineto
+newpath 29 60 moveto
+29 81 lineto
+75 81 lineto
+75 60 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 23 58 moveto
-23 77 lineto
-71 77 lineto
-71 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-31.25 63.25 moveto 31.5 (EKFCh) alignedtext
+newpath 29 60 moveto
+29 81 lineto
+75 81 lineto
+75 60 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+37 67.5 moveto 30 (EKFCh) alignedtext
 grestore
 % Node6
 gsave
-[ /Rect [ 18 1 76 19 ]
+[ /Rect [ 23 1 81 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKF__unQ.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 18 0 moveto
-18 19 lineto
-77 19 lineto
-77 0 lineto
+newpath 23 0 moveto
+23 21 lineto
+81 21 lineto
+81 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 18 0 moveto
-18 19 lineto
-77 19 lineto
-77 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-25.625 5.25 moveto 42.75 (EKF_unQ) alignedtext
+newpath 23 0 moveto
+23 21 lineto
+81 21 lineto
+81 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+31 7.5 moveto 42 (EKF_unQ) alignedtext
 grestore
 % Node1->Node6
@@ -236,18 +236,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 34 48 moveto
-32 38 33 27 37 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 30.6067 48.8806 moveto
-36 58 lineto
-37.4708 47.5078 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 30.6067 48.8806 moveto
-36 58 lineto
-37.4708 47.5078 lineto
+newpath 33 51 moveto
+30 41 32 29 36 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 29.52 51.62 moveto
+36 60 lineto
+36.16 49.41 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 29.52 51.62 moveto
+36 60 lineto
+36.16 49.41 lineto
 closepath stroke
 grestore
@@ -257,18 +257,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 47 48 moveto
-47 38 47 27 47 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 43.5001 48 moveto
-47 58 lineto
-50.5001 48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 43.5001 48 moveto
-47 58 lineto
-50.5001 48 lineto
+newpath 46 50 moveto
+45 40 46 29 47 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 42.52 50.4 moveto
+47 60 lineto
+49.49 49.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 42.52 50.4 moveto
+47 60 lineto
+49.49 49.7 lineto
 closepath stroke
 grestore
@@ -278,23 +278,113 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 60 48 moveto
-62 38 61 27 57 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 56.5292 47.5078 moveto
-58 58 lineto
-63.3933 48.8806 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 56.5292 47.5078 moveto
-58 58 lineto
-63.3933 48.8806 lineto
+newpath 58 50 moveto
+59 40 58 29 57 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 54.51 49.7 moveto
+57 60 lineto
+61.48 50.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 54.51 49.7 moveto
+57 60 lineto
+61.48 50.4 lineto
+closepath stroke
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 71 51 moveto
+74 41 72 29 68 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 67.84 49.41 moveto
+68 60 lineto
+74.48 51.62 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 67.84 49.41 moveto
+68 60 lineto
+74.48 51.62 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 99 1 173 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classEKFCh__cond.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 99 0 moveto
+99 21 lineto
+174 21 lineto
+174 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 99 0 moveto
+99 21 lineto
+174 21 lineto
+174 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+106.5 7.5 moveto 59 (EKFCh_cond) alignedtext
+grestore
+% Node1->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 67 54 moveto
+72 50 78 46 84 42 curveto
+94 35 104 27 114 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 64.9 51.2 moveto
+59 60 lineto
+69.1 56.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 64.9 51.2 moveto
+59 60 lineto
+69.1 56.8 lineto
+closepath stroke
+grestore
+% Node1->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 83 54 moveto
+90 50 96 46 102 42 curveto
+112 35 122 27 130 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 80.9 51.2 moveto
+75 60 lineto
+85.1 56.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 80.9 51.2 moveto
+75 60 lineto
+85.1 56.8 lineto
 closepath stroke
 grestore
 % Node2
 gsave
-[ /Rect [ 17 117 77 135 ]
+[ /Rect [ 20 121 84 141 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKalmanCh.html) >>
@@ -302,20 +392,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 17 116 moveto
-17 135 lineto
-78 135 lineto
-78 116 lineto
+newpath 20 120 moveto
+20 141 lineto
+85 141 lineto
+85 120 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 17 116 moveto
-17 135 lineto
-78 135 lineto
-78 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-24.5 121.25 moveto 45 (KalmanCh) alignedtext
+newpath 20 120 moveto
+20 141 lineto
+85 141 lineto
+85 120 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+27.5 127.5 moveto 49 (KalmanCh) alignedtext
 grestore
 % Node2->Node1
@@ -324,23 +414,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 47 106 moveto
-47 96 47 85 47 77 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 43.5001 106 moveto
-47 116 lineto
-50.5001 106 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 43.5001 106 moveto
-47 116 lineto
-50.5001 106 lineto
+newpath 52 110 moveto
+52 100 52 89 52 81 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 48.5 110 moveto
+52 120 lineto
+55.5 110 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 48.5 110 moveto
+52 120 lineto
+55.5 110 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 0 175 94 193 ]
+[ /Rect [ 0 181 104 201 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKalman.html) >>
@@ -348,20 +438,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 174 moveto
-0 193 lineto
-94 193 lineto
-94 174 lineto
+newpath 0 180 moveto
+0 201 lineto
+105 201 lineto
+105 180 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 0 174 moveto
-0 193 lineto
-94 193 lineto
-94 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-8 179.25 moveto 78 (Kalman< chmat >) alignedtext
+newpath 0 180 moveto
+0 201 lineto
+105 201 lineto
+105 180 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 187.5 moveto 89 (Kalman< chmat >) alignedtext
 grestore
 % Node3->Node2
@@ -370,23 +460,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 47 164 moveto
-47 154 47 143 47 135 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 43.5001 164 moveto
-47 174 lineto
-50.5001 164 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 43.5001 164 moveto
-47 174 lineto
-50.5001 164 lineto
+newpath 52 170 moveto
+52 160 52 149 52 141 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 48.5 170 moveto
+52 180 lineto
+55.5 170 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 48.5 170 moveto
+52 180 lineto
+55.5 170 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 40 299 70 317 ]
+[ /Rect [ 46 313 76 333 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classBM.html) >>
@@ -394,20 +484,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 40 298 moveto
-40 317 lineto
-71 317 lineto
-71 298 lineto
+newpath 46 312 moveto
+46 333 lineto
+77 333 lineto
+77 312 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 40 298 moveto
-40 317 lineto
-71 317 lineto
-71 298 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-47.5 303.25 moveto 15 (BM) alignedtext
+newpath 46 312 moveto
+46 333 lineto
+77 333 lineto
+77 312 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+53.5 319.5 moveto 15 (BM) alignedtext
 grestore
 % Node4->Node3
@@ -416,24 +506,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 52 288 moveto
-51 279 51 269 50 260 curveto
-48 236 47 208 47 193 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 48.6067 288.881 moveto
-54 298 lineto
-55.4708 287.508 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 48.6067 288.881 moveto
-54 298 lineto
-55.4708 287.508 lineto
+newpath 58 302 moveto
+57 293 56 283 55 274 curveto
+53 248 52 217 52 201 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 54.52 302.4 moveto
+59 312 lineto
+61.49 301.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 54.52 302.4 moveto
+59 312 lineto
+61.49 301.7 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 59 241 147 259 ]
+[ /Rect [ 64 253 160 273 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKalman.html) >>
@@ -441,20 +531,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 59 240 moveto
-59 259 lineto
-148 259 lineto
-148 240 lineto
+newpath 64 252 moveto
+64 273 lineto
+160 273 lineto
+160 252 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 59 240 moveto
-59 259 lineto
-148 259 lineto
-148 240 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-66.625 245.25 moveto 72.75 (Kalman< sq_T >) alignedtext
+newpath 64 252 moveto
+64 273 lineto
+160 273 lineto
+160 252 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+72 259.5 moveto 80 (Kalman< sq_T >) alignedtext
 grestore
 % Node4->Node5
@@ -463,18 +553,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 70 290 moveto
-78 280 89 268 95 259 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 66.9511 288.169 moveto
-63 298 lineto
-72.2191 292.779 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 66.9511 288.169 moveto
-63 298 lineto
-72.2191 292.779 lineto
+newpath 77 304 moveto
+86 294 96 282 103 273 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 73.95 302.17 moveto
+70 312 lineto
+79.22 306.78 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 73.95 302.17 moveto
+70 312 lineto
+79.22 306.78 lineto
 closepath stroke
 grestore
@@ -484,22 +574,22 @@
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 88 232 moveto
-77 220 63 204 55 193 curveto
+newpath 96 244 moveto
+85 230 70 213 60 201 curveto
 stroke
 0.106 1.000 1.000 edgecolor
-newpath 85.2 234.1 moveto
-94 240 lineto
-90.8 229.9 lineto
+newpath 93.78 246.78 moveto
+103 252 lineto
+99.05 242.17 lineto
 closepath fill
 1 setlinewidth
 solid
 0.106 1.000 1.000 edgecolor
-newpath 85.2 234.1 moveto
-94 240 lineto
-90.8 229.9 lineto
+newpath 93.78 246.78 moveto
+103 252 lineto
+99.05 242.17 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
-10.00 /FreeSans set_font
-78.5 213.25 moveto 45 (< chmat >) alignedtext
+10 /FreeSans set_font
+87.5 224.5 moveto 53 (< chmat >) alignedtext
 grestore
 endpage
@@ -510,5 +600,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 191 362
+%%BoundingBox: 36 36 217 378
 end
 restore