Index: doc/html/classEKFfixed.html
===================================================================
--- doc/html/classEKFfixed.html (revision 234)
+++ doc/html/classEKFfixed.html (revision 255)
@@ -25,5 +25,5 @@
 </div>
 <div class="contents">
-<h1>EKFfixed Class Reference</h1><!-- doxytag: class="EKFfixed" --><!-- doxytag: inherits="BM,BMcond" -->Extended <a class="el" href="classKalman.html" title="Kalman filter with covariance matrices in square root form.">Kalman</a> Filter with full matrices in fixed point arithmetic.  
+<h1>EKFfixed Class Reference</h1><!-- doxytag: class="EKFfixed" --><!-- doxytag: inherits="bdm::BM,bdm::BMcond" -->Extended Kalman Filter with full matrices in fixed point arithmetic.  
 <a href="#_details">More...</a>
 <p>
@@ -35,5 +35,5 @@
 <p><center><img src="classEKFfixed__inherit__graph.png" border="0" usemap="#EKFfixed__inherit__map" alt="Inheritance graph"></center>
 <map name="EKFfixed__inherit__map">
-<area shape="rect" href="classBM.html" title="Bayesian Model of the world, i.e. all uncertainty is modeled by probabilities." alt="" coords="5,7,45,31"><area shape="rect" href="classBMcond.html" title="Conditional Bayesian Filter." alt="" coords="69,7,139,31"></map>
+<area shape="rect" href="classbdm_1_1BM.html" title="Bayesian Model of the world, i.e. all uncertainty is modeled by probabilities." alt="" coords="5,84,83,111"><area shape="rect" href="classbdm_1_1BMcond.html" title="Conditional Bayesian Filter." alt="" coords="107,84,216,111"><area shape="rect" href="classbdm_1_1base.html" title="Root class of BDM objects." alt="" coords="117,7,205,33"></map>
 <center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>
 <div class="dynheader">
@@ -42,5 +42,5 @@
 <p><center><img src="classEKFfixed__coll__graph.png" border="0" usemap="#EKFfixed__coll__map" alt="Collaboration graph"></center>
 <map name="EKFfixed__coll__map">
-<area shape="rect" href="classBM.html" title="Bayesian Model of the world, i.e. all uncertainty is modeled by probabilities." alt="" coords="5,145,45,169"><area shape="rect" href="classRV.html" title="Class representing variables, most often random variables." alt="" coords="68,7,105,31"><area shape="rect" href="classBMcond.html" title="Conditional Bayesian Filter." alt="" coords="48,247,117,271"><area shape="rect" href="classepdf.html" title="Probability density function with numerical statistics, e.g. posterior density." alt="" coords="145,95,191,119"><area shape="rect" href="classenorm.html" title="enorm\&lt; fsqmat \&gt;" alt="" coords="156,385,276,409"><area shape="rect" href="classeEF.html" title="General conjugate exponential family posterior density." alt="" coords="200,196,245,220"><area shape="rect" href="classenorm.html" title="Gaussian density with positive definite (decomposed) covariance matrix." alt="" coords="113,297,223,321"><area shape="rect" href="classfsqmat.html" title="Fake sqmat. This class maps sqmat operations to operations on full matrix." alt="" coords="297,297,359,321"><area shape="rect" href="classsqmat.html" title="Virtual class for representation of double symmetric matrices in square&#45;root form..." alt="" coords="300,196,356,220"></map>
+<area shape="rect" href="classbdm_1_1BM.html" title="Bayesian Model of the world, i.e. all uncertainty is modeled by probabilities." alt="" coords="280,236,357,263"><area shape="rect" href="classbdm_1_1RV.html" title="Class representing variables, most often random variables." alt="" coords="265,87,340,113"><area shape="rect" href="classbdm_1_1BMcond.html" title="Conditional Bayesian Filter." alt="" coords="340,183,449,209"><area shape="rect" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density." alt="" coords="173,183,259,209"><area shape="rect" href="classbdm_1_1base.html" title="Root class of BDM objects." alt="" coords="259,7,347,33"><area shape="rect" href="classbdm_1_1enorm.html" title="bdm::enorm\&lt; fsqmat \&gt;" alt="" coords="123,481,299,508"><area shape="rect" href="classbdm_1_1eEF.html" title="General conjugate exponential family posterior density." alt="" coords="140,289,220,316"><area shape="rect" href="classbdm_1_1enorm.html" title="Gaussian density with positive definite (decomposed) covariance matrix." alt="" coords="5,385,165,412"><area shape="rect" href="classfsqmat.html" title="Fake sqmat. This class maps sqmat operations to operations on full matrix." alt="" coords="240,385,307,412"><area shape="rect" href="classsqmat.html" title="Virtual class for representation of double symmetric matrices in square&#45;root form..." alt="" coords="244,289,305,316"></map>
 <center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>
 
@@ -65,5 +65,5 @@
 
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="64d7b1a39c27b1846bcd5628928748ef"></a><!-- doxytag: member="EKFfixed::EKFfixed" ref="64d7b1a39c27b1846bcd5628928748ef" args="(RV rvx, RV rvc)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEKFfixed.html#64d7b1a39c27b1846bcd5628928748ef">EKFfixed</a> (<a class="el" href="classRV.html">RV</a> rvx, <a class="el" href="classRV.html">RV</a> <a class="el" href="classBMcond.html#9ba793c8ec453f04d372d17195ed8dec">rvc</a>)</td></tr>
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEKFfixed.html#64d7b1a39c27b1846bcd5628928748ef">EKFfixed</a> (<a class="el" href="classbdm_1_1RV.html">RV</a> rvx, <a class="el" href="classbdm_1_1RV.html">RV</a> <a class="el" href="classbdm_1_1BMcond.html#9a12750776d977408aada06a70093297">rvc</a>)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor. <br></td></tr>
@@ -73,5 +73,5 @@
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Here dt = [yt;ut] of appropriate dimensions. <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="085cf16c573eda32d8d03619c6c4b518"></a><!-- doxytag: member="EKFfixed::_epdf" ref="085cf16c573eda32d8d03619c6c4b518" args="()" -->
-<a class="el" href="classepdf.html">epdf</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEKFfixed.html#085cf16c573eda32d8d03619c6c4b518">_epdf</a> ()</td></tr>
+<a class="el" href="classbdm_1_1epdf.html">epdf</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEKFfixed.html#085cf16c573eda32d8d03619c6c4b518">_epdf</a> ()</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">dummy! <br></td></tr>
@@ -80,42 +80,42 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Substitute <code>val</code> for <code>rvc</code>. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0186270f75189677f390fe088a9947e9"></a><!-- doxytag: member="EKFfixed::bayesB" ref="0186270f75189677f390fe088a9947e9" args="(const mat &amp;Dt)" -->
-virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#0186270f75189677f390fe088a9947e9">bayesB</a> (const mat &amp;Dt)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1dee3fddaf021e62d925289660a707dc"></a><!-- doxytag: member="EKFfixed::bayesB" ref="1dee3fddaf021e62d925289660a707dc" args="(const mat &amp;Dt)" -->
+virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#1dee3fddaf021e62d925289660a707dc">bayesB</a> (const mat &amp;Dt)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Batch Bayes rule (columns of Dt are observations). <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8554809fec160bee279bcd5fa14ead5c"></a><!-- doxytag: member="EKFfixed::_epdf" ref="8554809fec160bee279bcd5fa14ead5c" args="() const =0" -->
-virtual const <a class="el" href="classepdf.html">epdf</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#8554809fec160bee279bcd5fa14ead5c">_epdf</a> () const =0</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a reference to the <a class="el" href="classepdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a> representing posterior density on parameters. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db500c4836f883c175a3cf3ab5a3ce24"></a><!-- doxytag: member="EKFfixed::_e" ref="db500c4836f883c175a3cf3ab5a3ce24" args="() const =0" -->
-virtual const <a class="el" href="classepdf.html">epdf</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#db500c4836f883c175a3cf3ab5a3ce24">_e</a> () const =0</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a pointer to the <a class="el" href="classepdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a> representing posterior density on parameters. Use with care! <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#8a8ce6df431689964c41cc6c849cfd06">logpred</a> (const vec &amp;dt) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cd0660f2a1a344b56ac39802708ff165"></a><!-- doxytag: member="EKFfixed::logpred_m" ref="cd0660f2a1a344b56ac39802708ff165" args="(const mat &amp;dt) const " -->
-vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#cd0660f2a1a344b56ac39802708ff165">logpred_m</a> (const mat &amp;dt) const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="963258c4c2dd05be001003b19aceefef"></a><!-- doxytag: member="EKFfixed::_epdf" ref="963258c4c2dd05be001003b19aceefef" args="() const =0" -->
+virtual const epdf &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#963258c4c2dd05be001003b19aceefef">_epdf</a> () const =0</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a reference to the <a class="el" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a> representing posterior density on parameters. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4ed0f8b880e606316ae800f3a011c3a6"></a><!-- doxytag: member="EKFfixed::_e" ref="4ed0f8b880e606316ae800f3a011c3a6" args="() const =0" -->
+virtual const epdf *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#4ed0f8b880e606316ae800f3a011c3a6">_e</a> () const =0</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a pointer to the <a class="el" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a> representing posterior density on parameters. Use with care! <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#50257e0c1e5b5c73153ea6e716ad8ae0">logpred</a> (const vec &amp;dt) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0e8ebe61fb14990abe1254bd3dda5fae"></a><!-- doxytag: member="EKFfixed::logpred_m" ref="0e8ebe61fb14990abe1254bd3dda5fae" args="(const mat &amp;dt) const " -->
+vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#0e8ebe61fb14990abe1254bd3dda5fae">logpred_m</a> (const mat &amp;dt) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Matrix version of logpred. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5594d68ee9aa6fc8c1e79019da5c9d56"></a><!-- doxytag: member="EKFfixed::predictor" ref="5594d68ee9aa6fc8c1e79019da5c9d56" args="(const RV &amp;rv) const " -->
-virtual <a class="el" href="classepdf.html">epdf</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#5594d68ee9aa6fc8c1e79019da5c9d56">predictor</a> (const <a class="el" href="classRV.html">RV</a> &amp;<a class="el" href="classBM.html#af00f0612fabe66241dd507188cdbf88">rv</a>) const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="710e7d69c0d8791fb41a7cd4683cca2c"></a><!-- doxytag: member="EKFfixed::predictor" ref="710e7d69c0d8791fb41a7cd4683cca2c" args="(const RV &amp;rv) const " -->
+virtual epdf *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#710e7d69c0d8791fb41a7cd4683cca2c">predictor</a> (const RV &amp;<a class="el" href="classbdm_1_1BM.html#18d6db4af8ee42077741d9e3618153ca">rv</a>) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructs a predictive density (marginal density on data). <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="126bd2595c48e311fc2a7ab72876092a"></a><!-- doxytag: member="EKFfixed::_rv" ref="126bd2595c48e311fc2a7ab72876092a" args="() const " -->
-const <a class="el" href="classRV.html">RV</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#126bd2595c48e311fc2a7ab72876092a">_rv</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="87f4a547d2c29180be88175e5eab9c88"></a><!-- doxytag: member="EKFfixed::_ll" ref="87f4a547d2c29180be88175e5eab9c88" args="() const " -->
-double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#87f4a547d2c29180be88175e5eab9c88">_ll</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1ffa9f23669aabecc3760c06c6987522"></a><!-- doxytag: member="EKFfixed::set_evalll" ref="1ffa9f23669aabecc3760c06c6987522" args="(bool evl0)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#1ffa9f23669aabecc3760c06c6987522">set_evalll</a> (bool evl0)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classBM.html">BM</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#eb58c81d6a7b75b05fc6f276eed78887">_copy_</a> (bool changerv=false)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3fa60348b2da6b4208bb95b8d146900a"></a><!-- doxytag: member="EKFfixed::_rvc" ref="3fa60348b2da6b4208bb95b8d146900a" args="() const " -->
-const <a class="el" href="classRV.html">RV</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBMcond.html#3fa60348b2da6b4208bb95b8d146900a">_rvc</a> () const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="40a3c891996391e3135518053a917793"></a><!-- doxytag: member="EKFfixed::_rv" ref="40a3c891996391e3135518053a917793" args="() const " -->
+const RV &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#40a3c891996391e3135518053a917793">_rv</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5be65d37dedfe33a3671e7065f523a70"></a><!-- doxytag: member="EKFfixed::_ll" ref="5be65d37dedfe33a3671e7065f523a70" args="() const " -->
+double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#5be65d37dedfe33a3671e7065f523a70">_ll</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="236b3abbcc93594fc97cd86d82c1a83f"></a><!-- doxytag: member="EKFfixed::set_evalll" ref="236b3abbcc93594fc97cd86d82c1a83f" args="(bool evl0)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#236b3abbcc93594fc97cd86d82c1a83f">set_evalll</a> (bool evl0)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual BM *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#3efb3098172f1f67564a312fe732473e">_copy_</a> (bool changerv=false)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7506910f93250b44fea505ec4ffb19dc"></a><!-- doxytag: member="EKFfixed::_rvc" ref="7506910f93250b44fea505ec4ffb19dc" args="() const " -->
+const RV &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BMcond.html#7506910f93250b44fea505ec4ffb19dc">_rvc</a> () const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
@@ -173,5 +173,5 @@
 
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ea92b06e2b66c6771828e689bb727b76"></a><!-- doxytag: member="EKFfixed::E" ref="ea92b06e2b66c6771828e689bb727b76" args="" -->
-<a class="el" href="classenorm.html">enorm</a>&lt; <a class="el" href="classfsqmat.html">fsqmat</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><b>E</b></td></tr>
+<a class="el" href="classbdm_1_1enorm.html">enorm</a>&lt; <a class="el" href="classfsqmat.html">fsqmat</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><b>E</b></td></tr>
 
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6e5552506214757d24e59e508f91c8aa"></a><!-- doxytag: member="EKFfixed::Ry" ref="6e5552506214757d24e59e508f91c8aa" args="" -->
@@ -179,31 +179,31 @@
 
 <tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="af00f0612fabe66241dd507188cdbf88"></a><!-- doxytag: member="EKFfixed::rv" ref="af00f0612fabe66241dd507188cdbf88" args="" -->
-<a class="el" href="classRV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#af00f0612fabe66241dd507188cdbf88">rv</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="18d6db4af8ee42077741d9e3618153ca"></a><!-- doxytag: member="EKFfixed::rv" ref="18d6db4af8ee42077741d9e3618153ca" args="" -->
+RV&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#18d6db4af8ee42077741d9e3618153ca">rv</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Random variable of the posterior. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5623fef6572a08c2b53b8c87b82dc979"></a><!-- doxytag: member="EKFfixed::ll" ref="5623fef6572a08c2b53b8c87b82dc979" args="" -->
-double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#5623fef6572a08c2b53b8c87b82dc979">ll</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4064b6559d962633e4372b12f4cd204a"></a><!-- doxytag: member="EKFfixed::ll" ref="4064b6559d962633e4372b12f4cd204a" args="" -->
+double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#4064b6559d962633e4372b12f4cd204a">ll</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Logarithm of marginalized data likelihood. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bf6fb59b30141074f8ee1e2f43d03129"></a><!-- doxytag: member="EKFfixed::evalll" ref="bf6fb59b30141074f8ee1e2f43d03129" args="" -->
-bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBM.html#bf6fb59b30141074f8ee1e2f43d03129">evalll</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="faff0ad12556fe7dc0e2807d4fd938ee"></a><!-- doxytag: member="EKFfixed::evalll" ref="faff0ad12556fe7dc0e2807d4fd938ee" args="" -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#faff0ad12556fe7dc0e2807d4fd938ee">evalll</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">If true, the filter will compute likelihood of the data record and store it in <code>ll</code> . Set to false if you want to save computational time. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9ba793c8ec453f04d372d17195ed8dec"></a><!-- doxytag: member="EKFfixed::rvc" ref="9ba793c8ec453f04d372d17195ed8dec" args="" -->
-<a class="el" href="classRV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBMcond.html#9ba793c8ec453f04d372d17195ed8dec">rvc</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9a12750776d977408aada06a70093297"></a><!-- doxytag: member="EKFfixed::rvc" ref="9a12750776d977408aada06a70093297" args="" -->
+RV&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BMcond.html#9a12750776d977408aada06a70093297">rvc</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Identificator of the conditioning variable. <br></td></tr>
 </table>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
-Extended <a class="el" href="classKalman.html" title="Kalman filter with covariance matrices in square root form.">Kalman</a> Filter with full matrices in fixed point arithmetic. 
+Extended Kalman Filter with full matrices in fixed point arithmetic. 
 <p>
 An approximation of the exact Bayesian filter with Gaussian noices and non-linear evolutions of their mean. <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="8a8ce6df431689964c41cc6c849cfd06"></a><!-- doxytag: member="EKFfixed::logpred" ref="8a8ce6df431689964c41cc6c849cfd06" args="(const vec &amp;dt) const " -->
+<a class="anchor" name="50257e0c1e5b5c73153ea6e716ad8ae0"></a><!-- doxytag: member="EKFfixed::logpred" ref="50257e0c1e5b5c73153ea6e716ad8ae0" args="(const vec &amp;dt) const " -->
 <div class="memitem">
 <div class="memproto">
       <table class="memname">
         <tr>
-          <td class="memname">virtual double BM::logpred           </td>
+          <td class="memname">virtual double bdm::BM::logpred           </td>
           <td>(</td>
           <td class="paramtype">const vec &amp;&nbsp;</td>
@@ -218,16 +218,16 @@
 <p>
 Evaluates predictive log-likelihood of the given data record I.e. marginal likelihood of the data with the posterior integrated out. 
-<p>Reimplemented in <a class="el" href="classARX.html#e7f9e7823aec9bf7ddc3b42d9b3304c4">ARX</a>, <a class="el" href="classMixEF.html#424ca64f36d4e41de7a7e7ae921d35ea">MixEF</a>, and <a class="el" href="classmultiBM.html#13e26a61757278981fd8cac9a7ef91eb">multiBM</a>.</p>
-
-<p>Referenced by <a class="el" href="libBM_8h-source.html#l00442">BM::logpred_m()</a>.</p>
+<p>Reimplemented in <a class="el" href="classbdm_1_1ARX.html#080a7e531e3aa06694112863b15bc6a4">bdm::ARX</a>, <a class="el" href="classbdm_1_1MixEF.html#da724da464a75e07521941e430929efa">bdm::MixEF</a>, and <a class="el" href="classbdm_1_1multiBM.html#e157b607c1e3fa91d42aeea44458e2bf">bdm::multiBM</a>.</p>
+
+<p>Referenced by <a class="el" href="libBM_8h-source.html#l00447">bdm::BM::logpred_m()</a>.</p>
 
 </div>
 </div><p>
-<a class="anchor" name="eb58c81d6a7b75b05fc6f276eed78887"></a><!-- doxytag: member="EKFfixed::_copy_" ref="eb58c81d6a7b75b05fc6f276eed78887" args="(bool changerv=false)" -->
+<a class="anchor" name="3efb3098172f1f67564a312fe732473e"></a><!-- doxytag: member="EKFfixed::_copy_" ref="3efb3098172f1f67564a312fe732473e" args="(bool changerv=false)" -->
 <div class="memitem">
 <div class="memproto">
       <table class="memname">
         <tr>
-          <td class="memname">virtual <a class="el" href="classBM.html">BM</a>* BM::_copy_           </td>
+          <td class="memname">virtual BM* bdm::BM::_copy_           </td>
           <td>(</td>
           <td class="paramtype">bool&nbsp;</td>
@@ -241,6 +241,6 @@
 
 <p>
-Copy function required in vectors, Arrays of <a class="el" href="classBM.html" title="Bayesian Model of the world, i.e. all uncertainty is modeled by probabilities.">BM</a> etc. Have to be DELETED manually! Prototype: BM* <a class="el" href="classBM.html#eb58c81d6a7b75b05fc6f276eed78887">_copy_()</a>{<a class="el" href="classBM.html" title="Bayesian Model of the world, i.e. all uncertainty is modeled by probabilities.">BM</a> Tmp*=new Tmp(this*); return Tmp; } 
-<p>Reimplemented in <a class="el" href="classARX.html#5de61fbd4f97fa3216760b1f733f5af0">ARX</a>, and <a class="el" href="classBMEF.html#97f5312efe4a5bedb86d2daec59d8651">BMEF</a>.</p>
+Copy function required in vectors, Arrays of <a class="el" href="classbdm_1_1BM.html" title="Bayesian Model of the world, i.e. all uncertainty is modeled by probabilities.">BM</a> etc. Have to be DELETED manually! Prototype: BM* <a class="el" href="classbdm_1_1BM.html#3efb3098172f1f67564a312fe732473e">_copy_()</a>{<a class="el" href="classbdm_1_1BM.html" title="Bayesian Model of the world, i.e. all uncertainty is modeled by probabilities.">BM</a> Tmp*=new Tmp(this*); return Tmp; } 
+<p>Reimplemented in <a class="el" href="classbdm_1_1ARX.html#20ff2de8d862f28de7da83444d65bcdb">bdm::ARX</a>, and <a class="el" href="classbdm_1_1BMEF.html#5912dbcf28ae711e30b08c2fa766a3e6">bdm::BMEF</a>.</p>
 
 </div>
@@ -249,5 +249,5 @@
 <li>work/git/mixpp/pmsm/simulator_zdenek/ekf_example/<a class="el" href="ekf__obj_8h-source.html">ekf_obj.h</a><li>work/git/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.cpp</ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Thu Jan 15 10:51:07 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jan 27 16:30:22 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>